Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.nvdcve
Class NvdCve12Handler.Element

    java.lang.Object
      org.owasp.dependencycheck.data.nvdcve.NvdCve12Handler.Element

Enclosing class:
  NvdCve12Handler

    protected static class NvdCve12Handler.Element

extends Object

A simple class to maintain information about the current element while parsing the NVD CVE XML.

Field Summary
`static String` | `ENTRY` A node type in the NVD CVE Schema 1.2.
`static String` | `NVD` A node type in the NVD CVE Schema 1.2.
`static String` | `PROD` A node type in the NVD CVE Schema 1.2.
`static String` | `VERS` A node type in the NVD CVE Schema 1.2.
`static String` | `VULN_SOFTWARE` A node type in the NVD CVE Schema 1.2.

Constructor Summary
`protected` | `NvdCve12Handler.Element()`

Method Summary
`String` | `getNode()` Gets the value of node.
`boolean` | `isEntryNode()` Checks if the handler is at the ENTRY node.
`boolean` | `isNVDNode()` Checks if the handler is at the NVD node.
`boolean` | `isProdNode()` Checks if the handler is at the PROD node.
`boolean` | `isVersNode()` Checks if the handler is at the VERS node.
`boolean` | `isVulnSoftwareNode()` Checks if the handler is at the VULN_SOFTWARE node.
`void` | `setNode(String node)` Sets the value of node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NVD

    public static final String NVD

  A node type in the NVD CVE Schema 1.2.

  See Also:
    Constant Field Values

### ENTRY

    public static final String ENTRY

  A node type in the NVD CVE Schema 1.2.

  See Also:
    Constant Field Values

### VULN_SOFTWARE

    public static final String VULN_SOFTWARE

  A node type in the NVD CVE Schema 1.2.

  See Also:
    Constant Field Values

### PROD

    public static final String PROD

  A node type in the NVD CVE Schema 1.2.

  See Also:
    Constant Field Values

### VERS

    public static final String VERS

  A node type in the NVD CVE Schema 1.2.

  See Also:
    Constant Field Values

Constructor Detail

### NvdCve12Handler.Element

    protected NvdCve12Handler.Element()

Method Detail

### getNode

    public String getNode()

  Gets the value of node.

  Returns:
    the value of node

### setNode

    public void setNode(String node)

  Sets the value of node.

  Parameters:
    `node` - new value of node

### isNVDNode

    public boolean isNVDNode()

  Checks if the handler is at the NVD node.

  Returns:
    true or false

### isEntryNode

    public boolean isEntryNode()

  Checks if the handler is at the ENTRY node.

  Returns:
    true or false

### isVulnSoftwareNode

    public boolean isVulnSoftwareNode()

  Checks if the handler is at the VULN_SOFTWARE node.

  Returns:
    true or false

### isProdNode

    public boolean isProdNode()

  Checks if the handler is at the PROD node.

  Returns:
    true or false

### isVersNode

    public boolean isVersNode()

  Checks if the handler is at the VERS node.

  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.